# Changelog

Changelog for Truecaller android SDK versions 2.8.0 and below :&#x20;

| SDK Version | Changelog ( if applicable )                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| ----------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| 2.8.0       | <ol><li>New errors codes introduced in TrueException for "simState", "airplaneMode" and "permissions". Details <a href="https://docs.truecaller.com/truecaller-sdk/android/sdk-v2.8.0/integrating-with-your-app/verifying-non-truecaller-users/verificationcallback">here</a></li><li>Developers need to take care of the required permissions requesting logic at their own end since SDK won't be making permissions any longer from this version onwards</li><li>Default verification medium would be Drop Call for all verification attempts made</li><li><p>Developers can set a request nonce to the non-tc flow using the existing SDK method - <strong>TruecallerSDK.getInstance().setRequestNonce("SOME\_REQUEST\_NONCE").</strong> The partners will receive this request nonce from the callback interface for different callback types :</p><ol><li><strong>TYPE\_MISSED\_CALL\_INITIATED, TYPE\_VERIFICATION\_COMPLETE</strong> - Can be received from VerificationDataBundle as</li></ol><p><em><code>bundle?.getString(VerificationDataBundle.KEY\_REQUEST\_NONCE)</code></em></p><p>2. <strong>TYPE\_PROFILE\_VERIFIED\_BEFORE -</strong> Can be received from VerificationDataBundle as</p><p><code>bundle?.profile?.requestNonce</code></p></li></ol> |
| 2.7.0       | <ul><li>Minimum supported version updated to 5.1 Android version</li><li>Minimum kotlin version supported 1.6.10</li><li>Removed all the sensitive checks colliding with google play’s data privacy policies</li><li>Project moved to MavenCentral</li></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| 2.6.0       | <ul><li>To handle <a href="/pages/FNC1gxcz7r8KSk6Zm6xS">requestCode collision</a> new check on the client side onActivityResult method is introduced.</li><li>Handled request code collision in SDK</li><li>Fix SDK Android 11 compatibility</li><li>Added business profile indicator</li></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| 2.5.0       | <ul><li>Provided new <a href="/pages/fL24D46hK8ATR5GrgXbr">SDK clear()</a> method on client side</li><li>Fixed memory leaks.</li><li>Handle ActivityNotFoundException by providing a try-catch block and throwing a new TrueError code with Type = 15.</li></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| 2.4.0       | <ul><li>Passing TrueError in onVerificationRequired() method of the SDK</li><li>Exposed verification TTL to verification callback on client side</li><li>Fixing default values for CTA color/text color</li><li>Ellipsize text input fields in SDK</li></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| 2.3.0       | <ul><li>Updated proguard rule</li><li>Fixed phone number caching in non Truecaller user verification flow</li><li>Minor bug fixes</li></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| 2.2.0       | <ul><li>Added support for Arabic and Assamese</li></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| 2.1.0       | <ul><li>Ability to set <a href="/pages/BvJTmBGJgPqkR7fvYdE8">Dark/Light theme</a> from SDK introduced.</li></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.truecaller.com/truecaller-sdk/android/sdk-v2.8.0-deprecating-soon/changelog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
